#### D.2.4.6 Prep

Procedure from library `grobcov.lib` (see grobcov_lib).

Usage:
  Prep(ideal N,ideal M);
  ideal N (null ideal) (not necessarily radical nor
  maximal) in Q[a]. (a=parameters, x=variables).
  ideal M (hole ideal) (not necessarily containing N)
  in Q[a]. To be called in a ring Q[a][x] or a ring
  Q[a]. But the ideals can contain only the
  parameters in Q[a].

Return:
  The canonical P-representation of the locally closed
  set V(N) \ V(M)
  Output: [Comp_1, .. , Comp_s ] where
  Comp_i=[p_i,[p_i1,..,p_is_i]]

Example:

    LIB "grobcov.lib";
    short=0;
    if(defined(R)){kill R;}
    ring R=0,(a,b,c),lp;
    ideal p=a*b;;
    ideal q=a,b-1;
    // P-representation of V(p) \ V(q)
    Prep(p,q);
    ==> [1]:
    ==>    [1]:
    ==>       _[1]=b
    ==>    [2]:
    ==>       [1]:
    ==>          _[1]=1
    ==> [2]:
    ==>    [1]:
    ==>       _[1]=a
    ==>    [2]:
    ==>       [1]:
    ==>          _[1]=b-1
    ==>          _[2]=a

User manual for Singular version 4.4.1, 2025, generated by texi2html.